[SCM] advanced 3D real time strategy game engine branch, experimental, updated. debian/0.81.2.1+dfsg1-6-34-gd858d00

Jan Dittberner jandd at debian.org
Sun Nov 7 07:58:53 UTC 2010


The following commit has been merged in the experimental branch:
commit c344224b53984d37d9401c0a728e983520d8d68c
Author: Jan Dittberner <jandd at debian.org>
Date:   Tue Nov 2 10:41:33 2010 +0100

    New upstream version, improved debian/watch
    
    * New upstream version.
    * improve debian/watch, add debian/new-upstream to automate DFSG
      repacking

diff --git a/debian/changelog b/debian/changelog
index f2c285f..c37695a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+spring (0.82.6.1+dfsg1-1) experimental; urgency=low
+
+  * New upstream version.
+  * improve debian/watch, add debian/new-upstream to automate DFSG
+    repacking
+
+ -- Jan Dittberner <jandd at debian.org>  Tue, 02 Nov 2010 10:33:34 +0100
+
 spring (0.82.5.1+dfsg1-1) experimental; urgency=low
 
   * New upstream version.
diff --git a/debian/new-upstream b/debian/new-upstream
new file mode 100755
index 0000000..e1bce8c
--- /dev/null
+++ b/debian/new-upstream
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# new-upstream: Copyright © 2010 by Jan Dittberner <jandd at debian.org>
+#
+# Called by uscan; from uscan(1):
+#
+# Finally,  if a third parameter (an action) is given in the watchfile
+# line, this is taken as the name of a command, and the command
+#  command --upstream-version version filename
+# 
+# is executed, using either the original file or the symlink name.
+#
+# Thanks to Vincent Fourmond's <fourmond at debian.org> freecol package - where he
+# thanks Sam Morris <sam at robots.org.uk> for giving him the idea - for giving me
+# the idea.
+#
+
+# If called manually, this file must be called within the spring/ directory.
+
+version=$2
+filename=`readlink -f $3`
+targetdir=`dirname $filename`
+
+dir=`mktemp -d`
+
+curdir=`pwd`
+
+origname="${targetdir}/spring_${version}+dfsg1.orig.tar.gz"
+
+echo "Repacking spring version $version from $filename"
+
+# Abort on errors:
+set -e
+
+cd "$dir"
+tar xzf "$filename"
+rm -f spring_$version/AI/Interfaces/Java/data/jlib/vecmath.jar \
+      spring_$version/AI/Interfaces/Java/data/jlib/jna.jar \
+      spring_$version/installer/7za.exe \
+      spring_$version/installer/dos2unix.exe \
+      spring_$version/installer/nsis_plugins/FindProcDLL.dll \
+      spring_$version/installer/nsis_plugins/inetc.dll \
+      spring_$version/installer/nsis_plugins/registry.dll
+tar czf "$origname" spring_$version
+echo "Repacked tarball is $origname"
+cd -
+rm -rf "$dir"
diff --git a/debian/watch b/debian/watch
index 4d4f949..23ad5ff 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,3 @@
 version=3
 opts=dversionmangle=s/\+dfsg\d+$// \
- http://sf.net/springrts/spring_([\d\.]+)_src\.tar\.gz
+ http://sf.net/springrts/spring_([\d\.]+)_src\.tar\.gz debian debian/new-upstream

-- 
advanced 3D real time strategy game engine



More information about the Pkg-games-commits mailing list